model:
  name: 'resnext101_32x8d'
  pretrained: True
  num_train_classes: 537

data:
  type: 'image'
  source: 'config_dataset'
  coco_dir: '/data/db/annot_snow_coco/'
  height: 128
  width: 384
  transforms_train: ['resize', 'random_affine', 'color_jitter', 'random_grayscale']
  transforms_test: ['resize']
  version: 'v1'

loss:
  name: 'triplet'
  triplet:
    weight_t: 1.
    weight_x: 1.
  softmax:
    label_smooth: True

sampler:
  num_instances: 3
  num_copies: 4

train:
  optim: 'adam'
  lr: 0.0001
  max_epoch: 300
  batch_size: 64
  fixbase_epoch: 1
  open_layers: ['fc', 'classifier']
  lr_scheduler: 'multi_step'
  stepsize: [500]

test:
  batch_size: 100
  dist_metric: 'euclidean'
  normalize_feature: False
  evaluate: False
  eval_freq: 10
  rerank: False
  ranks: [1, 5, 12, 20]
  visrank_topk: 5
  visrank_resize: False
  fliplr: True
